KinoSearch1::Analysis::Analyzer(3pm)

NAME
KinoSearch1::Analysis::Analyzer - base class for analyzers

SYNOPSIS
    # abstract base class -- you probably want PolyAnalyzer, not this.

DESCRIPTION
In KinoSearch1, an Analyzer is a filter which processes text, transforming it from one form into another. For instance, an analyzer might break up a long text into smaller pieces (Tokenizer), or it might convert text to lowercase (LCNormalizer).

METHODS

  analyze (EXPERIMENTAL)
    $token_batch = $analyzer->analyze($token_batch);

All Analyzer subclasses provide an "analyze" method. analyze() takes a single TokenBatch as input, and it returns a TokenBatch, either the same one (probably transformed in some way), or a new one.

COPYRIGHT
Copyright 2005-2010 Marvin Humphrey

LICENSE, DISCLAIMER, BUGS, etc.
See KinoSearch1 version 1.01.